//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-dependency-management-plugin/src/main/groovy/org/openscm/kundo/factory/InstallDeployFactory.groovy
//

package org.openscm.kundo.factory;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import org.apache.tools.ant.BuildException;
import org.openscm.kundo.plugins.context.BuildContext;
import org.openscm.kundo.common.logging.SimpleLogger;
import org.openscm.kundo.strategy.InstallDeployStrategy;
import org.openscm.kundo.strategy.MavenInstallDeployStrategy;

/**
 * InstallDeployFactory
 *
 * @author <a href="mailto:ben.leedham@upco.co.uk">Ben Leedham</a>
 * @version 1.0.0

Description: The InstallDeployFactory identifies and returns an appropriate InstallDeployStrategy based on the build context.

<p>The InstallDeployFactory identifies an appropriate InstallDeployStrategy from from data within the BuildContext.
If a pom file is available in the build context pom.location property then a MavenInstallDeployStrategy will be returned.
Currently Maven is teh only strategy supported for installation and deployment of artifacts to repositories</p>
 */
public class InstallDeployFactory
    extends AbstractDependenciesFactory
{
    private InstallDeployFactory(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        super((AntBuilder)null);

        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor sets ant instance
     *
     * @param ant AntBuilder instance
     */
    public InstallDeployFactory(AntBuilder ant) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Identifies and returns an appropriate InstallDeployStrategy for the current state.
     *
     * @param buildContext The current BuildContext instance containing the global ant project.
     * @return InstallDeployStrategy Instance of the appropriate InstallDeployStrategy for the current build context data.
     */
    public InstallDeployStrategy getInstallDeployStrategy(BuildContext buildContext) {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
