//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-dependency-management-plugin/src/main/groovy/org/openscm/kundo/factory/CopyDependenciesFactory.groovy
//

package org.openscm.kundo.factory;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import org.apache.tools.ant.BuildException;
import org.openscm.kundo.plugins.context.BuildContext;
import org.openscm.kundo.common.logging.SimpleLogger;
import org.openscm.kundo.strategy.CopyDependenciesStrategy;
import org.openscm.kundo.strategy.DefaultCopyDependenciesStrategy;

/**
 * Copy Dependencies Factory
 *
 * @author <a href="mailto:ben.leedham@upco.co.uk">Ben Leedham</a>
 * @version 1.0.0

Description: The CopyDependenciesFactory identifies and returns an appropriate CopyDependenciesStrategy based on the build context.

<p>The CopyDependenciesFactory identifies an appropriate CopyDependenciesStrategy from from data within the BuildContext.
If a pom file is available in the build context pom.location property then a MavenCopyDependenciesStrategy will be returned.
If no strategy can be identified then an Exception will be thrown</p>
 */
public class CopyDependenciesFactory
    extends AbstractDependenciesFactory
{
    private CopyDependenciesFactory(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        super((AntBuilder)null);

        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor sets ant instance
     *
     * @param ant AntBuilder instance
     */
    public CopyDependenciesFactory(AntBuilder ant) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Identifies and returns an appropriate CopyDependenciesStrategy for the current state.
     *
     * @param buildContext The current BuildContext instance containing the global ant project.
     * @return CopyDependenciesStrategy Instance of the appropriate CopyDependenciesStrategy for the current build context data.
     */
    public CopyDependenciesStrategy getCopyDependenciesStrategy(BuildContext buildContext) {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
