//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-dependency-management-plugin/src/main/groovy/org/openscm/kundo/strategy/DefaultCopyDependenciesStrategy.groovy
//

package org.openscm.kundo.strategy;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import org.openscm.kundo.plugins.context.BuildContext;
import org.openscm.kundo.common.logging.SimpleLogger;

/**
 * Copy Dependencies Strategy
 *
 * @author <a href="mailto:ben.leedham@upco.co.uk">Ben Leedham</a>
 * @version 1.0.0

Description: Delegate to copy dependencies from a specified scope to a specified location.

<p>the copy dependencies delegate will look at a set of indexed properties loaded from either
the default plugin.properties or the project's build.properties file, for each property matching
the key "copy" the dependencies of the specified scope will be copied to the specified dir.</p>
 */
public class DefaultCopyDependenciesStrategy
    extends java.lang.Object
    implements CopyDependenciesStrategy
{
    protected AntBuilder ant = null;

    protected BuildContext buildContext = null;

    final private SimpleLogger log = null;
    final public SimpleLogger getLog() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String copyFlatten = null;
    public java.lang.String getCopyFlatten() {
        throw new InternalError("Stubbed method");
    }

    private Map indexedProps = null;
    public Map getIndexedProps() {
        throw new InternalError("Stubbed method");
    }

    private DefaultCopyDependenciesStrategy(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor
     *
     * @param ant AntBuilder instance
     * @param buildContext BuildContext instance
     */
    public DefaultCopyDependenciesStrategy(AntBuilder ant, BuildContext buildContext) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Implementation of abstract method from AbstractPluginTargetDelegate
     * to hold assertions that all global and local properties are available to the plugin.
     * This method is automatically called prior to execution.
     */
    public void doCheck() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable indexedProps
     *
     * @param indexedProps Map of aggregated properties objects containing scope and destination info.
     */
    public void setIndexedProps(Map indexedProps) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable copyFlatten
     *
     * @param copyFlatten String representation of whether to flatten directory structure of files being copied
     */
    public void setCopyFlatten(java.lang.String copyFlatten) {
        throw new InternalError("Stubbed method");
    }

    /**
     * delegate implementation method to be called by doExecute
     */
    public void doCopyDependencies() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Concrete implementation of the AbstractPluginTargetDelegate.execute() method
     */
    public void doExecute() {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
